Subject: [P2PSIP] Use case of big RELO packet?

From: Michael Chen <[email-masked]>
Date: Wed, 10 Jun 2009 16:28:49 -0800

Hi,

Can anyone present some use cases of big RELO messages?  Who will send a 
RELO message that is 65K, 500K, 1Meg, 2Gig in size across the overlay?  
I consider that an attack.  This is not a file sharing protocol.

I wouldn't be surprise if a node in the overlay refuses to store/relay a 
message bigger than some small number, say 16K (TLS/DTLS write boundary).

Thanks

--Michael

---

From: Bruce Lowekamp <[email-masked]>
Date: Wed, 10 Jun 2009 21:38:47 -0400

Michael,

With the current usages, you're right, there's absolutely no use for
it.  And there would need to be a different end-to-end protocol to
support such messages.  But we thought it was best to leave the fields
large enough to support it in the future.

We intend to add an explicit maximum message size to the overlay
config file to make absolutely sure it doesn't happen.  Should be in
the next update (hopefully soon).

Bruce

On Wed, Jun 10, 2009 at 8:28 PM, Michael Chen<[email-masked]> wrote:
> RELO message that is 65K, 500K, 1Meg, 2Gig in size across the overlay?  I
> consider that an attack.  This is not a file sharing protocol.
>
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>